# -*- encoding : utf-8 -*-
class PetitionMails < ActionMailer::Base
  layout 'mail'
  
  default from: "One Voice <info@test.com>"

  def confirmation(signator, options = {})
    @options = options
    @signator = signator
    
    @petition = @signator.petition
    @petition_lang = @petition.petition_langs.where(:lang_site_id => @signator.lang_site.id).first
		
    
    @email = @signator.email
    @title = "Important : pour valider votre signature."
    mail(:to => @email, :subject => @title)
  end
  
  def thanks(signator, options = {})
    @options = options
    @signator = signator
    
    @petition = @signator.petition
    @petition_lang = @petition.petition_langs.where(:lang_site_id => @signator.lang_site.id).first
		
    
    @email = @signator.email
    @title = "Merci pour votre signature."
    mail(:to => @email, :subject => @title)
  end


  
  
  
end
